﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MovieManagerV05
{
    class Movie
    {
        private string _title;
        private string _genre;
        private int _year;
        private bool _wonAnOscar;
        private double _imbRating;

        public Movie(string title, string genre, int year, bool wonAnOscar, double imbRating)
        {
            this._title = title;
            _genre = genre;
            _year = year;
            _wonAnOscar = wonAnOscar;
            _imbRating = imbRating;
        }

        public string GetTitle()
        {
            return _title;
        }

        public string GetGenre()
        {
            return _genre;
        }

        public void PrintMovie()
        {
            Console.WriteLine($"Titel: {_title}");
            Console.WriteLine($"Genre: {_genre}");
            Console.WriteLine($"År: {_year}");
            Console.WriteLine($"Oscar: {_wonAnOscar}");
            Console.WriteLine($"Rating: {_imbRating}");
            Console.WriteLine();
        }

    }
}
